package com.simuwang.base.pojo.dto.query;

import com.simuwang.base.common.support.query.PageQuery;

/**
 * FileName: EmailTemplateSettingPageQuery
 * Author:   chenjianhua
 * Date:     2024/9/25 20:26
 * Description: ${DESCRIPTION}
 */
public class EmailTemplateSettingPageQuery extends PageQuery {
    /**
     * 模版名称(email_template_info.name)
     */
    private String templateName;
    /**
     * 标题名称
     */
    private String title;
    /**
     * 来源邮箱地址
     */
    private String email;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 状态：0-关闭，1-开启
     */
    private Integer status;

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
